KDICT(1)

NAME
kdict - The TDE Dictionary Client

SYNOPSIS
kdict [Qt-options] [TDE-options] [options] [word/phrase]

DESCRIPTION
KDict is a graphical client for the DICT Protocol. It enables you to search through dictionary databases for a word or phrase, then displays suitable definitions. KDict tries to ease basic as well as advanced queries. A separate list offers a convenient way to deal with the enormous number of matching words that a advanced query can return.

The remainder of KDict's user interface resembles a web browser. For instance, you can jump to the definition of a synonym by simply clicking on the highlighted word. The back/forward functionality is also implemented, enabling you to quickly go back to the result of previous queries.

KDict is able to process the content of the clipboard, so it's easy to combine KDict with your web browser or text editor.

If your machine is behind a firewall, has no permanent internet connection or the server of dict.org is too slow for you, you can set up your own local server, all you need is available at www.dict.org. The advantages of a local server are optimal performance and the ability to install additional databases of your choice.

OPTIONS

  Arguments:

  word/phrase Lookup the given word/phrase

  Options:

-c, --clipboard
    Define X11-clipboard content (selected text)

  Generic options:

  --help
Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

  TDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

--nofork
    Don't run in the background.

FILES

  ~/.trinity/share/config/kdictrc
~/.trinity/share/config/kdict_panelappletrc
    kdict configuration files

SEE ALSO

www.dict.org
    DICT Development Group home page

Full user documentation is available through the TDE Help Center. You can also enter the URL help:/kdict/ directly into konqueror or you can run khelpcenter help:/kdict/ from the command-line.

AUTHORS
Christian Gebauer <gebauer@kde.org>
Matthias Hoelzer <hoelzer@kde.org>
Please use http://bugs.trinitydesktop.org to report bugs; do not mail the authors directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.